#include "xentryinternaldata.h"

XEntryInternalData::XEntryInternalData()
    : XAsset()
    , mOp()
    , mOperand()
{
    SetName("Entry Internal Data");
}

void XEntryInternalData::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XEntryInternalData::ParseData
}

void XEntryInternalData::Clear()
{
    mOp = XOperationEnum::OP_NOOP;
    mOperand.Clear();
}
